Bug 1420070 - [Doc] Add a note about increasing max number of images in ImageStream for CFME images for OpenShift
Summary: [Doc] Add a note about increasing max number of images in ImageStream for CFM...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: GA
: 5.7.1
Assignee: Dayle Parker
QA Contact: Suyog Sainkar
URL:
Whiteboard: container
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 17:09 UTC by Satoe Imaishi
Modified: 2017-02-27 07:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-27 07:11:41 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)

Description Satoe Imaishi 2017-02-07 17:09:15 UTC
From: https://github.com/ManageIQ/manageiq-pods/pull/89

Increase maximum number of imported images on ImageStream

By default OpenShift will import 5 images per ImageStream, we build and use more than 5 images in our repos for MIQ deployments.

You can modify these settings on the master node at /etc/origin/master/master-config.yml, add the following at the end of the file and re-start the master service:

...
imagePolicyConfig:
  maxImagesBulkImportedPerRepository: 100

$ systemctl restart atomic-openshift-master



The downstream images don't have this problem yet, but will probably hit this soon, as we build more images in the future. Opening this BZ now, so this won't be forgotten.

Comment 2 Andrew Dahms 2017-02-13 01:39:04 UTC
Assigning to Dayle for review.

Comment 8 Andrew Dahms 2017-02-27 07:11:41 UTC
This content is live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.